Summary: iSCSI daemon and utility programs
Name: iscsi-initiator-utils
Version: 6.2.0.865
Release: 0.8%{?dist}
Source0: http://www.open-iscsi.org/bits/open-iscsi-2.0-865.12.tar.gz
Source1: iscsid.init
Source2: iscsidevs.init
Patch0: iscsi-initiator-utils-update-initscripts-and-docs.patch
Patch1: iscsi-initiator-utils-use-var-for-config.patch
Patch2: iscsi-initiator-utils-add-info-compat.patch
Patch3: iscsi-initiator-utils-use-red-hat-for-name.patch
Patch4: iscsi-initiator-utils-do-not-support-digests.patch
Patch5: iscsi-initiator-utils-do-not-support-isns.patch
Patch6: iscsi-initiator-utils-disable-fast-abort.patch
Patch7: iscsi-initiator-utils-ignore-startup-errs.patch

Group: System Environment/Daemons
License: GPL
URL: http://www.open-iscsi.org
Buildroot: %{_tmppath}/%{name}-root
BuildRequires: openssl-devel
Prereq: /sbin/chkconfig
ExcludeArch: s390 s390x

%description
The iscsi package provides the server daemon for the iSCSI protocol,
as well as the utility programs used to manage it. iSCSI is a protocol
for distributed disk access using SCSI commands sent over Internet
Protocol networks.

%prep
%setup -q -n open-iscsi-2.0-865.12
%patch0 -p1 -b .update-initscripts-and-docs
%patch1 -p1 -b .use-var-for-config
%patch2 -p1 -b .add-info-compat
%patch3 -p1 -b .use-red-hat-for-name
%patch4 -p1 -b .do-not-support-digests
%patch5 -p1 -b .do-not-support-isns
%patch6 -p1 -b .disable-fast-abort
%patch7 -p1 -b .ignore-startup-errs


%build
make OPTFLAGS="%{optflags}" -C usr
make OPTFLAGS="%{optflags}" -C utils

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man8
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/iscsi
mkdir -p $RPM_BUILD_ROOT/var/lib/iscsi
mkdir -p $RPM_BUILD_ROOT/var/lib/iscsi/nodes
mkdir -p $RPM_BUILD_ROOT/var/lib/iscsi/send_targets
mkdir -p $RPM_BUILD_ROOT/var/lib/iscsi/static
mkdir -p $RPM_BUILD_ROOT/var/lib/iscsi/isns
mkdir -p $RPM_BUILD_ROOT/var/lib/iscsi/slp
mkdir -p $RPM_BUILD_ROOT/var/lib/iscsi/ifaces
mkdir -p $RPM_BUILD_ROOT/var/lock/iscsi


install -s -m 755 usr/iscsid usr/iscsiadm utils/iscsi-iname usr/iscsistart $RPM_BUILD_ROOT/sbin
install -m 644 doc/iscsiadm.8 $RPM_BUILD_ROOT/%{_mandir}/man8
install -m 644 doc/iscsid.8 $RPM_BUILD_ROOT/%{_mandir}/man8
#install -m 755 etc/initd/initd.redhat $RPM_BUILD_ROOT/etc/rc.d/init.d/iscsi
install -m 644 etc/iscsid.conf $RPM_BUILD_ROOT/etc/iscsi

install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/iscsid
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/iscsi

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f /etc/iscsi/initiatorname.iscsi ]; then
	echo "InitiatorName=`/sbin/iscsi-iname`" > /etc/iscsi/initiatorname.iscsi
fi
/sbin/chkconfig --add iscsid
/sbin/chkconfig --add iscsi

%preun
if [ "$1" = "0" ]; then
    /sbin/chkconfig --del iscsi
    /sbin/chkconfig --del iscsid
fi

%files
%defattr(-,root,root)
%doc README
%dir /var/lib/iscsi/nodes
%dir /var/lib/iscsi/send_targets
%dir /var/lib/iscsi/static
%dir /var/lib/iscsi/slp
%dir /var/lib/iscsi/isns
%dir /var/lib/iscsi/ifaces
%dir /var/lock/iscsi
%config /etc/rc.d/init.d/iscsi
%config /etc/rc.d/init.d/iscsid
%attr(0600,root,root) %config(noreplace) /etc/iscsi/iscsid.conf
/sbin/*
%{_mandir}/*/*

%changelog
* Mon Aug 27 2007 Mike Christie <mchristie@redhat.com> - 6.2.0.865-0.8
- 255641 Fix login redirect handling.
- Try all matching portals during startup.

* Tue Aug 21 2007 Mike Christie <mchristie@redhat.com> - 6.2.0.865-0.7
- 250140 Document how to set timers when using multipath or iscsi root.
- 249053 Document iscsid and iscsiadm debug argument.

* Thu Jun 28 2007 Mike Christie <mchristie@redhat.com> - 6.2.0.865-0.6
- 246146 fix ipv6 README and document that we do not support isns.

* Mon Jun 25 2007 Mike Christie <mchristie@redhat.com> - 6.2.0.865-0.5
- Fix regression from 227554. Fix iscsiadm -m logoutall command.

* Wed Jun 20 2007 Mike Christie <mchristie@redhat.com> - 6.2.0.865-0.4
- 244987 Forgot to upload correct patch for db root dir.

* Wed Jun 20 2007 Mike Christie <mchristie@redhat.com> - 6.2.0.865-0.3
- 222789 update date in initiatorname

* Wed Jun 20 2007 Mike Christie <mchristie@redhat.com> - 6.2.0.865-0.2
- 244987 old tools used to make the root db dir for apps and anaconda relied
on that. This is a regression from 227554.

* Tue Jun 19 2007 Mike Christie <mchristie@redhat.com> - 6.2.0.865-0.1
- Bring in fixes that got merged in git but did not make the 865 release and
code that partners need to test due to lack of hw limitations.

* Tue Jun 12 2007 Mike Christie <mchristie@redhat.com> - 6.2.0.865-0.0
- Rebase to upstream to bring in bug and security fixes.
- 243727 CVE-2007-3099 CVE-2007-3100
- 227554 Support only passing in a target with iscsiadm commands.
- 227698 ipv6 fixups

* Sat Feb 10 2007 Mike Christie <mchristie@redhat.com> - 6.2.0.742-0.6
-  Patch for 218841 was not getting applied because 'BZ' in the patch
caused rpm to try and bunzip it instead of apply it.
- 227815 update docs to make it more clear what is node mode. 

* Wed Jan 19 2007 Mike Christie <mchristie@redhat.com> - 6.2.0.742-0.5
- BZ 218791 - We get a network hang when the firewall is started
- and to allow iscsi root boot to work we start iscsid early.
- This breaks up iscsi.init into iscsidevs.init (start iscsi targets)
- and iscsid.init (start iscsi daemon). Users should be using
- iscsiadm for management instead of the rc script, but we add some compat
- code to make it a little easier.

* Wed Jan 17 2007 Mike Christie <mchristie@redhat.com> - 6.2.0.742-0.4
- BZ 223051 - targets not logged into automatically according to docs

* Tue Jan 9 2007 Mike Christie <mchristie@redhat.com> - 6.2.0.742-0.3
- BZ 221088 - add support for sysfs paths for sid in session mode

* Mon Dec 11 2006 Mike Christie <mchristie@redhat.com> - 6.2.0.742-0.2
- BZ 218841. Handle errors in netlink message handling.

* Mon Nov 28 2006 Mike Christie <mchristie@redhat.com> - 6.2.0.742-0.1
- BZ 216715 again. Fix regression from documenting the iscsid.conf file (setto better match RHEL4).

* Sat Nov 25 2006 Mike Christie <mchristie@redhat.com> - 6.2.0.742-0.0
- BZ 217246 - Don't flood targets with nop-outs.

* Fri Nov 24 2006 Mike Christie <mchristie@redhat.com> - 6.2.0.737-0.0
- BZ 216715 - add missing functionality from RHEL3/4.
- Fixup docs for Red Hat specifics.

* Mon Nov 7 2006 Mike Christie <mchristie@redhat.com> - 6.2.0.730-0.0
- BZ 212263 - load iser
- Rebase to upstream open-iscsi-2.0-730 to bring in fixes we were
- managing but are now upstream and bring in fixes I had done upstream
- for other partner/distro testing.

* Tue Oct 17 2006 Mike Christie <mchristie@redhat.com> - 6.2.0.695-0.8
- Change period to colon in default name

* Fri Oct 13 2006 Mike Christie <mchristie@redhat.com> - 6.2.0.695-0.7
- BZ 210470 update man pages for file moves
- Fix targetname strcmp
- read default config before doing discovery

* Thu Oct 5 2006 Mike Christie <mchristie@redhat.com> - 6.2.0.695-0.6
- BZ 209523 make sure the network is not going to get shutdown so
iscsi devices (include iscsi root and dm/md over iscsi) get syncd.
- BZ 209415 have package create iscsi var dirs

* Tue Oct 3 2006 Mike Christie <mchristie@redhat.com> - 6.2.0.695-0.5
- BZ 208864 move /etc/iscsi/nodes and send_targets to /var/lib/iscsi

* Mon Oct 1 2006 Mike Christie <mchristie@redhat.com> - 6.2.0.695-0.4
- BZ 208548 move /etc/iscsi/lock to /var/lock/iscsi/lock

* Wed Sep 27 2006 Jeremy Katz <katzj@redhat.com> - 6.2.0.695-0.3
- Add fix for initscript with pid file moved

* Tue Sep 26 2006 Mike Christie <mchristie@redhat.com> - 6.2.0.695-0.2
- BZ 208050 - change default initiator name to reflect redhat
- Move pid from /etc/iscsi to /var/run/iscsid.pid

* Fri Sep 15 2006 Mike Christie <mchristie@redhat.com> - 6.2.0.695-0.1
- Add compat with FC kernel so iscsid will pass startup checks and run.
- Fix bug when using hw iscsi and software iscsi and iscsid is restarted.
- Fix session matching bug when hw and software iscsi is both running

* Tue Sep  5 2006 Jeremy Katz <katzj@redhat.com> - 6.1.1.685-0.1
- Fix service startup
- Fix another case where cflags weren't being used

* Mon Aug 28 2006 Mike Christie <mchristie@redhat.com> - 6.1.1.685
- Rebase to upstream to bring in many bug fixes and rm db.
- iscsi uses /etc/iscsi instead of just etc now

* Fri Jul 21 2006 Jeremy Katz <katzj@redhat.com> - 6.1.1.645-1
- fix shutdown with root on iscsi

* Thu Jul 13 2006 Mike Christie <mchristie@redhat.com> - 6.1.1.645
- update to upstream 1.1.645
- Note DB and interface changed so you must update kernel, tools and DB

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 6.0.5.595-2.1.1
- rebuild

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 6.0.5.595-2.1
- rebuild

* Wed Jun 21 2006 Mike Christie <mchristi@redhat.com> - 6.0.5.595-2
- add PatM's statics.c file. This is needed for boot since 
  there is no getpwuid static available at that time.
* Tue Jun 20 2006 Jeremy Katz <katzj@redhat.com> - 6.0.5.595-1
- ensure that we respect %%{optflags}
- cleaned up initscript to make use of standard functions, return right 
  values and start by default
- build iscsistart as a static binary for use in initrds

* Tue May 30 2006 Mike Christie <mchristi@redhat.com>
- rebase package to svn rev 595 to fix several bugs
  NOTE!!!!!!!! This is not compatible with the older open-iscsi modules
  and tools. You must upgrade.

* Thu May 18 2006 Mike Christie <mchristi@redhat.com>
- update package to open-iscsi svn rev 571
  NOTE!!!!!!!! This is not compatible with the older open-iscsi modules
  and tools. You must upgrade.

* Fri Apr 7 2006 Mike Christie <mchristi@redhat.com>
- From Andy Henson <andy@zexia.co.uk>:
  Autogenerate /etc/initiatorname.iscsi during install if not already present
- Remove code to autogenerate /etc/initiatorname.iscsi from initscript
- From dan.y.roche@gmail.com:
  add touch and rm lock code
- update README
- update default iscsid.conf. "cnx" was not supported. The correct
  id was "conn".

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 5.0.5.476-0.1
- bump again for double-long bug on ppc(64)

* Mon Jan 23 2006 Mike Christie <mchristi@redhat.com>
- rebase package to bring in ppc64 unsigned long vs unsigned
  long long fix and iscsadm return value fix. Also drop rdma patch
  becuase it is now upstream.
* Wed Dec 14 2005 Mike Christie <mchristi@redhat.com>
- initial packaging

